Loading...
Searching...
No Matches
VectorDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

DisplayForm child for managing vector plots. More...

`#include <gnuradio/qtgui/vectordisplayform.h>`

## Public Slots

void | customEvent (QEvent *e) override
void | setVecSize (const int)
void | setVecAverage (const float)
void | setXaxis (double start, double step)
void | setYaxis (double min, double max)
void | setYMax (const QString &m)
void | setYMin (const QString &m)
void | autoScale (bool en) override
void | clearMaxHold ()
void | clearMinHold ()
Public Slots inherited from DisplayForm
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Public Member Functions

| VectorDisplayForm (int nplots=1, QWidget *parent=0)
| ~VectorDisplayForm () override
VectorDisplayPlot * | getPlot () override
int | getVecSize () const
float | getVecAverage () const
void | setXAxisLabel (const QString &label)
void | setYAxisLabel (const QString &label)
void | setRefLevel (double refLevel)
float | getClickedXVal () const
bool | checkClicked ()
Public Member Functions inherited from DisplayForm
| DisplayForm (int nplots=1, QWidget *parent=0)
| ~DisplayForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Additional Inherited Members

Signals inherited from DisplayForm
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)
Protected Attributes inherited from DisplayForm
unsigned int | d_nplots
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
bool | d_system_specified_flag
QwtPlotGrid * | d_grid
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

DisplayForm child for managing vector plots.

## Constructor & Destructor Documentation

## VectorDisplayForm()

VectorDisplayForm::VectorDisplayForm | ( | int | nplots = 1,
|  | QWidget * | parent = 0 )

## ~VectorDisplayForm()

VectorDisplayForm::~VectorDisplayForm | ( |  | ) |

override

## Member Function Documentation

## autoScale

void VectorDisplayForm::autoScale | ( | bool | en | ) |

override slot

## checkClicked()

bool VectorDisplayForm::checkClicked | ( |  | ) |

## clearMaxHold

void VectorDisplayForm::clearMaxHold | ( |  | ) |

slot

## clearMinHold

void VectorDisplayForm::clearMinHold | ( |  | ) |

slot

## customEvent

void VectorDisplayForm::customEvent | ( | QEvent * | e | ) |

override slot

## getClickedXVal()

float VectorDisplayForm::getClickedXVal | ( |  | ) | const

## getPlot()

VectorDisplayPlot * VectorDisplayForm::getPlot | ( |  | ) |

override virtual

Implements DisplayForm.

## getVecAverage()

float VectorDisplayForm::getVecAverage | ( |  | ) | const

## getVecSize()

int VectorDisplayForm::getVecSize | ( |  | ) | const

## setRefLevel()

void VectorDisplayForm::setRefLevel | ( | double | refLevel | ) |

## setVecAverage

void VectorDisplayForm::setVecAverage | ( | const float |  | ) |

slot

## setVecSize

void VectorDisplayForm::setVecSize | ( | const int |  | ) |

slot

## setXaxis

void VectorDisplayForm::setXaxis | ( | double | start,
|  | double | step )

slot

## setXAxisLabel()

void VectorDisplayForm::setXAxisLabel | ( | const QString & | label | ) |

## setYaxis

void VectorDisplayForm::setYaxis | ( | double | min,
|  | double | max )

slot

## setYAxisLabel()

void VectorDisplayForm::setYAxisLabel | ( | const QString & | label | ) |

## setYMax

void VectorDisplayForm::setYMax | ( | const QString & | m | ) |

slot

## setYMin

void VectorDisplayForm::setYMin | ( | const QString & | m | ) |

slot

The documentation for this class was generated from the following file:

- vectordisplayform.h